Bug 1023764 - [abrt] deluge-gtk-1.3.6-3.fc19: platform.py:1012:_syscmd_uname:IOError: [Errno 10] No child processes
[abrt] deluge-gtk-1.3.6-3.fc19: platform.py:1012:_syscmd_uname:IOError: [Errn...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:f9b653db25e095ba5000f0d6191...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 13:07 EDT by Márcio
Modified: 2015-02-17 12:49 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:49:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.06 KB, text/plain)
2013-10-27 13:07 EDT, Márcio
no flags Details
File: dso_list (65 bytes, text/plain)
2013-10-27 13:07 EDT, Márcio
no flags Details
File: environ (2.36 KB, text/plain)
2013-10-27 13:08 EDT, Márcio
no flags Details

  None (edit)
Description Márcio 2013-10-27 13:07:50 EDT
Version-Release number of selected component:
deluge-gtk-1.3.6-3.fc19

Additional info:
reporter:       libreport-2.1.8
cmdline:        /usr/bin/python /usr/bin/deluge
executable:     /usr/bin/deluge
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
platform.py:1012:_syscmd_uname:IOError: [Errno 10] No child processes

Traceback (most recent call last):
  File "/usr/bin/deluge", line 9, in <module>
    load_entry_point('deluge==1.3.6', 'gui_scripts', 'deluge')()
  File "/usr/lib/python2.7/site-packages/deluge/main.py", line 110, in start_ui
    if not os.path.exists(deluge.common.get_default_config_dir()):
  File "/usr/lib/python2.7/site-packages/deluge/common.py", line 147, in get_default_config_dir
    if windows_check():
  File "/usr/lib/python2.7/site-packages/deluge/common.py", line 201, in windows_check
    return platform.system() in ('Windows', 'Microsoft')
  File "/usr/lib64/python2.7/platform.py", line 1310, in system
    return uname()[0]
  File "/usr/lib64/python2.7/platform.py", line 1277, in uname
    processor = _syscmd_uname('-p','')
  File "/usr/lib64/python2.7/platform.py", line 1012, in _syscmd_uname
    rc = f.close()
IOError: [Errno 10] No child processes

Local variables in innermost frame:
default: ''
output: 'x86_64'
option: '-p'
f: <closed file 'uname -p 2> /dev/null', mode 'r' at 0x1c9e270>
Comment 1 Márcio 2013-10-27 13:07:53 EDT
Created attachment 816558 [details]
File: backtrace
Comment 2 Márcio 2013-10-27 13:07:57 EDT
Created attachment 816559 [details]
File: dso_list
Comment 3 Márcio 2013-10-27 13:08:00 EDT
Created attachment 816560 [details]
File: environ
Comment 4 Calum 2013-11-21 18:35:58 EST
Something weird in Python, not a Deluge issue
Comment 5 Fedora End Of Life 2015-01-09 15:22:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:49:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.